update_links
PUT
/services/{id}/telemetry-links
const url = 'https://api.siteqwality.com/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/telemetry-links';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '[{"name":"example","env":"example"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/telemetry-links \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ { "name": "example", "env": "example" } ]'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
Array<object>
object
name
required
string
env
string
Example generated
[ { "name": "example", "env": "example" }]Responses
Section titled “ Responses ”Links replaced
Invalid links
Admin required
Service not found
Name belongs to another catalog service